### Method

# Gio Settings get_uint

since: 2.30

#### Declaration

    guint
    g_settings_get_uint (
      GSettings* settings,
      const gchar* key
    )

#### Description

Gets the value that is stored at `key` in `settings`.

A convenience variant of `g_settings_get()` for 32-bit unsigned integers.

It is a programmer error to give a `key` that isn’t specified as having a uint32 type in the schema for `settings`.

Available since: 2.30

#### Parameters

`key`

  Type: `const gchar*`

  The key to get the value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

An unsigned integer.